Subject: Re: bug#57758: Using menu-bar-mode and tool-bar-mode changes frame size

From: uzibalqa <[email-masked]>
Date: Tue, 13 Sep 2022 03:52:02 +0000

------- Original Message -------
On Tuesday, September 13th, 2022 at 3:20 AM, uzibalqa via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> ------- Original Message -------
> On Tuesday, September 13th, 2022 at 2:28 AM, Po Lu [email-masked] wrote:
> 
> 
> 
> > uzibalqa [email-masked] writes:
> > 
> > > I have noticed that calling repeatedly "frame-fullscreen" followed by "frame-normal" changes
> > > the size of the frame. The problem happens when calling "menu-bar-mode" and "tool-bar-mode".
> > 
> > Not a bug. On most builds, setting frame-inhibit-implied-resize to t
> > should resolve that problem.
> 
> 
> Why does a resize happen and why is it not a bug?

Should I use 

(setq frame-inhibit-implied-resize t) 

before calling

(toggle-frame-fullscreen) ? 

Then reset it again with 

(setq frame-inhibit-implied-resize nil) 

when going to the normal frame size?

I do not think I would have to change frame-inhibit-implied-resize before
going fullscreen, but only before going back to the original frame size.